## SecretError

SecretError — libsecret errors

## Types and Values

#define | SECRET_ERROR
enum | SecretError

## Object Hierarchy

        GEnum
        ╰── SecretError

## Includes

    #include <libsecret/secret.h>

## Description

Various errors reported by the libsecret library. No error returned from the libsecret API is suitable for direct display to the user. It is up to the application to handle them appropriately.

## Functions

## Types and Values

### SECRET_ERROR

    #define         SECRET_ERROR                (secret_error_get_quark ())

The error domain quark which denotes libsecret specific errors from the SecretError enumeration.

### enum SecretError

Errors returned by the Secret Service. None of the errors are appropriate for display to the user.

#### Members

SECRET_ERROR_PROTOCOL | received an invalid data or message from the Secret Service |
SECRET_ERROR_IS_LOCKED | the item or collection is locked and the operation cannot be performed |
SECRET_ERROR_NO_SUCH_OBJECT | no such item or collection found in the Secret Service |
SECRET_ERROR_ALREADY_EXISTS | a relevant item or collection already exists |
SECRET_ERROR_INVALID_FILE_FORMAT |  |